tigase.jaxmpp.core.client.xmpp.modules.mam

## Class MessageArchiveManagementModule

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule
  - - tigase.jaxmpp.core.client.xmpp.modules.mam.MessageArchiveManagementModule

- All Implemented Interfaces:
    ContextAware, Extension, InitializingModule, PacketWriterAware, XmppModule

      public class MessageArchiveManagementModule
      extends AbstractStanzaModule
      implements PacketWriterAware, Extension

  MessageArchiveManagementModule class implements support for XEP-0313 Message Archive Management.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MessageArchiveManagementModule.DefaultValue`
    `static interface` | `MessageArchiveManagementModule.MessageArchiveItemReceivedEventHandler`
    `static class` | `MessageArchiveManagementModule.Query`
    `static class` | `MessageArchiveManagementModule.QueryFormCallback`
    `static class` | `MessageArchiveManagementModule.ResultCallback`
    `static class` | `MessageArchiveManagementModule.SettingsCallback`

  - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule

      `context, log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageArchiveManagementModule()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Element` | `afterReceive(Element received)`
    `void` | `afterRegister()` Called when module is registered.
    `Element` | `beforeSend(Element received)`
    `Criteria` | `getCriteria()` Criteria
    `String[]` | `getFeatures()` Returns features what are implemented by Module.
    `static List<JID>` | `mapChildrenToListOfJids(Element elem)`
    `void` | `process(Stanza stanza)` Method for processing incoming stanza.
    `void` | `queryItems(JabberDataElement form, JID componentJid, String queryid, RSM rsm, MessageArchiveManagementModule.ResultCallback callback)`
    `void` | `queryItems(JabberDataElement form, JID componentJid, String node, String queryid, RSM rsm, MessageArchiveManagementModule.ResultCallback callback)`
    `void` | `queryItems(JabberDataElement form, String queryid, RSM rsm, MessageArchiveManagementModule.ResultCallback callback)`
    `void` | `queryItems(MessageArchiveManagementModule.Query query, JID componentJid, String queryid, RSM rsm, MessageArchiveManagementModule.ResultCallback callback)`
    `void` | `queryItems(MessageArchiveManagementModule.Query query, JID componentJid, String node, String queryid, RSM rsm, MessageArchiveManagementModule.ResultCallback callback)`
    `void` | `queryItems(MessageArchiveManagementModule.Query query, String queryid, RSM rsm, MessageArchiveManagementModule.ResultCallback callback)`
    `void` | `retrieveQueryForm(JID componentJid, MessageArchiveManagementModule.QueryFormCallback callback)`
    `void` | `retrieveQueryForm(MessageArchiveManagementModule.QueryFormCallback callback)`
    `void` | `retrieveSettings(MessageArchiveManagementModule.SettingsCallback callback)`
    `void` | `setPacketWriter(PacketWriter packetWriter)` Set PacketWriter.
    `void` | `updateSetttings(MessageArchiveManagementModule.DefaultValue defValue, List<JID> always, List<JID> never, MessageArchiveManagementModule.SettingsCallback callback)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule

      `beforeRegister, beforeUnregister, fireEvent, getFirstChild, process, setContext, write, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageArchiveManagementModule

          public MessageArchiveManagementModule()

  - ### Method Detail

    - #### mapChildrenToListOfJids

          public static List<JID> mapChildrenToListOfJids(Element elem)
                                                   throws XMLException

      Throws:
        `XMLException`

    - #### afterReceive

          public Element afterReceive(Element received)
                               throws JaxmppException

      Specified by:
        `afterReceive` in interface `Extension`
      Throws:
        `JaxmppException`

    - #### afterRegister

          public void afterRegister()

      Description copied from interface: `InitializingModule`
      Called when module is registered. At this moment module is formally registered and it is part of client.
      Specified by:
        `afterRegister` in interface `InitializingModule`
      Overrides:
        `afterRegister` in class `AbstractStanzaModule`

    - #### beforeSend

          public Element beforeSend(Element received)
                             throws JaxmppException

      Specified by:
        `beforeSend` in interface `Extension`
      Throws:
        `JaxmppException`

    - #### getCriteria

          public Criteria getCriteria()

      Description copied from interface: `XmppModule`
      Criteria
      Specified by:
        `getCriteria` in interface `XmppModule`
      Returns:

    - #### getFeatures

          public String[] getFeatures()

      Description copied from interface: `XmppModule`

      Returns features what are implemented by Module.

      See Service Discovery Features

      Specified by:
        `getFeatures` in interface `Extension`
      Specified by:
        `getFeatures` in interface `XmppModule`
      Returns:
        array of features

    - #### process

          public void process(Stanza stanza)
                       throws JaxmppException

      Description copied from class: `AbstractStanzaModule`
      Method for processing incoming stanza.
      Specified by:
        `process` in class `AbstractStanzaModule`
      Parameters:
        `stanza` - incoming stanza
      Throws:
        `JaxmppException`

    - #### queryItems

          public void queryItems(MessageArchiveManagementModule.Query query,
                                 String queryid,
                                 RSM rsm,
                                 MessageArchiveManagementModule.ResultCallback callback)
                          throws JaxmppException

      Throws:
        `JaxmppException`

    - #### queryItems

          public void queryItems(MessageArchiveManagementModule.Query query,
                                 JID componentJid,
                                 String queryid,
                                 RSM rsm,
                                 MessageArchiveManagementModule.ResultCallback callback)
                          throws JaxmppException

      Throws:
        `JaxmppException`

    - #### queryItems

          public void queryItems(MessageArchiveManagementModule.Query query,
                                 JID componentJid,
                                 String node,
                                 String queryid,
                                 RSM rsm,
                                 MessageArchiveManagementModule.ResultCallback callback)
                          throws JaxmppException

      Throws:
        `JaxmppException`

    - #### queryItems

          public void queryItems(JabberDataElement form,
                                 String queryid,
                                 RSM rsm,
                                 MessageArchiveManagementModule.ResultCallback callback)
                          throws JaxmppException

      Throws:
        `JaxmppException`

    - #### queryItems

          public void queryItems(JabberDataElement form,
                                 JID componentJid,
                                 String queryid,
                                 RSM rsm,
                                 MessageArchiveManagementModule.ResultCallback callback)
                          throws JaxmppException

      Throws:
        `JaxmppException`

    - #### queryItems

          public void queryItems(JabberDataElement form,
                                 JID componentJid,
                                 String node,
                                 String queryid,
                                 RSM rsm,
                                 MessageArchiveManagementModule.ResultCallback callback)
                          throws JaxmppException

      Throws:
        `JaxmppException`

    - #### retrieveQueryForm

          public void retrieveQueryForm(MessageArchiveManagementModule.QueryFormCallback callback)
                                 throws JaxmppException

      Throws:
        `JaxmppException`

    - #### retrieveQueryForm

          public void retrieveQueryForm(JID componentJid,
                                        MessageArchiveManagementModule.QueryFormCallback callback)
                                 throws JaxmppException

      Throws:
        `JaxmppException`

    - #### retrieveSettings

          public void retrieveSettings(MessageArchiveManagementModule.SettingsCallback callback)
                                throws JaxmppException

      Throws:
        `JaxmppException`

    - #### setPacketWriter

          public void setPacketWriter(PacketWriter packetWriter)

      Description copied from interface: `PacketWriterAware`
      Set PacketWriter.
      Specified by:
        `setPacketWriter` in interface `PacketWriterAware`
      Parameters:
        `packetWriter` - PacketWriter

    - #### updateSetttings

          public void updateSetttings(MessageArchiveManagementModule.DefaultValue defValue,
                                      List<JID> always,
                                      List<JID> never,
                                      MessageArchiveManagementModule.SettingsCallback callback)
                               throws JaxmppException

      Throws:
        `JaxmppException`

Copyright © 2006–2023 Tigase. All rights reserved.